Bug 91063 (Chart-Sidebar) - [META] SIDEBAR: Properties tab for Charts
Summary: [META] SIDEBAR: Properties tab for Charts
Status: NEW
Alias: Chart-Sidebar
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.1.0 target:5.2.0
Keywords:
Depends on: 94288 94289 94300 94322 95044 95056 95059 95069 95296 95301 95324 103109 94290 94291 94292 94294 94295 94297 94298 94299 94320 94333 94388 94870 94885 94931 94933 94934 94969 94970 94971 94983 95034 95035 95055 95057 95866 100180 101402 104067
Blocks: Chart Sidebar-Properties
  Show dependency treegraph
 
Reported: 2015-05-03 23:58 UTC by Yousuf Philips (jay)
Modified: 2017-04-21 12:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
mockup (91.93 KB, image/png)
2015-05-29 16:45 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2015-05-03 23:58:32 UTC
When a chart object is selected, the sidebar shows the same sections that appear when selecting an object/image (area, line, wrap, position and size) but instead it should show properties that allow a user to modify the properties of the chart like the chart type as well as formatting of the area, title, legend, gridlines, etc.

It would be ideal if the most important chart properties could be exposed without being in chart edit mode and additional chart properties exposed when selecting on various parts of the chart within edit mode (e.g. formatting a data series).
Comment 1 Cor Nouws 2015-05-04 07:09:37 UTC
Nice. +1
Comment 2 Yousuf Philips (jay) 2015-05-29 16:45:47 UTC
Created attachment 116142 [details]
mockup

mockup of the sidebar that me, heiko and markus worked on today.
Comment 3 Yousuf Philips (jay) 2015-05-31 13:08:33 UTC
The etherpad for design session can be found at - http://pad.documentfoundation.org/p/UX-ChartSidebar
Comment 4 Yousuf Philips (jay) 2015-09-16 21:17:03 UTC
Setting to UI, so ux-advise isnt disturbed from the many chart sidebar bugs that are upcoming.
Comment 5 Commit Notification 2015-09-17 07:14:38 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=66f1e65fde85168ae582ea75f72ebb290caa0a08

tdf#91063 Improve the elements content panel of the chart sidebar

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-09-17 07:18:15 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c1a37b38d782ed13a16c449226228035bebc2a8

tdf#91063 Rename chart sidebar to properties

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-10-19 19:15:11 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=31c1b8214216c228f1cf4b3e086ab27beefd3acd

tdf#91063 Move border to Gtkbox similar to other panels

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-10-24 11:49:52 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=04f66b00738601a789eb76b7a950c0dec6fbb084

tdf#91063 Change show legend label to tooltip in chart sidebar

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-10-27 01:51:22 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=64de38cf8eec4c0ff21fa886b616182acd8600a2

tdf#91063 Move border to Gtkbox in Data Series content panel

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-12-22 13:09:28 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d230bc989241108bb6b7a53805efcb26aa6b0ea

tdf#91063 Better organize Error Bar content panel

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Yousuf Philips (jay) 2016-11-23 15:11:49 UTC
Markus mentioned in bug 101402 comment 13: "I suppose at some point I need to properly add the chart sidebar. Currently this is done through an hack by overwriting the sidebar of the current window. That sadly does not work well and seems to be fragile."

This implementation has known issues with the refreshing of the properties tab when entering chart mode (bug 94288) and exiting chart mode (bug 94295 - presently set as WONTFIX).